GET
https://api.cryptohopper.com/v1/app/tradingview/webhook
Returns the personal webhook URL for sending TradingView alerts to your account. A URL is created the first time you call this.
OAuth scope:
read manage About scopes
Treat the URL as a secret: anyone with it can send alerts to your account.
Example request
curl "https://api.cryptohopper.com/v1/app/tradingview/webhook" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/app/tradingview/webhook', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/app/tradingview/webhook",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/app/tradingview/webhook');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Response
{
"data": "https://www.cryptohopper.com/tradingview_alerts/hook?key=Zx81kQp0aLr7Vt2mNc4sYe9HuB6wJd3fGiO5bTn1XyqKzA8EvR0lMsPhUjCo2DgW"
}